/**
 *                           _    _   _ __    _ __
 *                          | |  | | | '_ \  | '_ \
 *                          | |  | | | |_) | | |_) |
 *                          | |  | | | .__/  | '_ )
 *                          | \__/ | | |     | |_) |
 *                          \______/ |_|     |_.__/
 *                          -------- _______ -------
 *
 *
 *  File:           btn.c
 *  Description:    Buttons
 *  By:             ioan_florin.nitu
 *
 *   _______________________________________
 *  / Look for my W-USO ;)                  \
 *  \ (No, seriously, don't look...)        /
 *   ---------------------------------------
 *          \   ^__^
 *           \  (oo)\_______
 *              (__)\       )\/\
 *                  ||----w |
 *                  ||     ||
 *
 */

/** PROIECT
 *
 * btn.c
 *
 * @author Nitu Ioan Florin Catalin
 * @group 333CC
 * @version 1.0
 * @since Rock 'n' Roll
 *
 * Copyright (c) 2019 PM
 *
 */

#include "btn.h"

void BTN_init(void)
{
	/* down */
	BTN_DDR &= ~(1 << BTN_DOWN_P);
	BTN_PORT |= (1 << BTN_DOWN_P);
	PCICR |= (1 << BTN_PCIE);
	BTN_PCMSK |= (1 << BTN_DOWN_PCINT);
	/* up */
	BTN_DDR &= ~(1 << BTN_UP_P);
	BTN_PORT |= (1 << BTN_UP_P);
	PCICR |= (1 << BTN_PCIE);
	BTN_PCMSK |= (1 << BTN_UP_PCINT);
	/* ok */
	BTN_DDR &= ~(1 << BTN_OK_P);
	BTN_PORT |= (1 << BTN_OK_P);
	PCICR |= (1 << BTN_PCIE);
	BTN_PCMSK |= (1 << BTN_OK_PCINT);
	/* back */
	BTN_DDR &= ~(1 << BTN_BACK_P);
	BTN_PORT |= (1 << BTN_BACK_P);
	PCICR |= (1 << BTN_PCIE);
	BTN_PCMSK |= (1 << BTN_BACK_PCINT);
}

