/**
 *                           _    _   _ __    _ __
 *                          | |  | | | '_ \  | '_ \
 *                          | |  | | | |_) | | |_) |
 *                          | |  | | | .__/  | '_ )
 *                          | \__/ | | |     | |_) |
 *                          \______/ |_|     |_.__/
 *                          -------- _______ -------
 *
 *
 *  File:           btn.h
 *  Description:    Buttons
 *  By:             ioan_florin.nitu
 *
 *   _______________________________________
 *  / Look for my W-USO ;)                  \
 *  \ (No, seriously, don't look...)        /
 *   ---------------------------------------
 *          \   ^__^
 *           \  (oo)\_______
 *              (__)\       )\/\
 *                  ||----w |
 *                  ||     ||
 *
 */

/** PROIECT
 *
 * btn.h
 *
 * @author Nitu Ioan Florin Catalin
 * @group 333CC
 * @version 1.0
 * @since Rock 'n' Roll
 *
 * Copyright (c) 2019 PM
 *
 */

#ifndef BTN_H
#define BTN_H_

#include <avr/io.h>
#include <avr/interrupt.h>

#define BTN_DOWN_P PB7
#define BTN_UP_P PB6
#define BTN_OK_P PB5
#define BTN_BACK_P PB1

#define BTN_PCIE PCIE1
#define BTN_PCMSK PCMSK1
#define BTN_DOWN_PCINT PCINT15
#define BTN_UP_PCINT PCINT14
#define BTN_OK_PCINT PCINT13
#define BTN_BACK_PCINT PCINT9

#define BTN_DDR DDRB
#define BTN_PORT PORTB
#define BTN_PIN PINB

void BTN_init(void);

#endif /* BTN_H_ */

