/**
 *                           _    _   _ __    _ __
 *                          | |  | | | '_ \  | '_ \
 *                          | |  | | | |_) | | |_) |
 *                          | |  | | | .__/  | '_ )
 *                          | \__/ | | |     | |_) |
 *                          \______/ |_|     |_.__/
 *                          -------- _______ -------
 *
 *
 *  File:           microphone.c
 *  Description:    Electret Microphone
 *  By:             ioan_florin.nitu
 *
 *   _______________________________________
 *  / Look for my W-USO ;)                  \
 *  \ (No, seriously, don't look...)        /
 *   ---------------------------------------
 *          \   ^__^
 *           \  (oo)\_______
 *              (__)\       )\/\
 *                  ||----w |
 *                  ||     ||
 *
 */

/** PROIECT
 *
 * microphone.c
 *
 * @author Nitu Ioan Florin Catalin
 * @group 333CC
 * @version 1.0
 * @since Rock 'n' Roll
 *
 * Copyright (c) 2019 PM
 *
 */

#include "microphone.h"

void MICROPHONE_init(void)
{
	/* start audio interrupts */
	MICROPHONE_DDR &= ~(1 << MICROPHONE_P);
	PCICR |= (1 << MICROPHONE_PCIE);
	MICROPHONE_PCMSK |= (1 << MICROPHONE_PCINT);
}

