/**
 *                           _    _   _ __    _ __
 *                          | |  | | | '_ \  | '_ \
 *                          | |  | | | |_) | | |_) |
 *                          | |  | | | .__/  | '_ )
 *                          | \__/ | | |     | |_) |
 *                          \______/ |_|     |_.__/
 *                          -------- _______ -------
 *
 *
 *  File:           microphone.h
 *  Description:    Electret Microphone
 *  By:             ioan_florin.nitu
 *
 *   _______________________________________
 *  / Look for my W-USO ;)                  \
 *  \ (No, seriously, don't look...)        /
 *   ---------------------------------------
 *          \   ^__^
 *           \  (oo)\_______
 *              (__)\       )\/\
 *                  ||----w |
 *                  ||     ||
 *
 */

/** PROIECT
 *
 * microphone.h
 *
 * @author Nitu Ioan Florin Catalin
 * @group 333CC
 * @version 1.0
 * @since Rock 'n' Roll
 *
 * Copyright (c) 2019 PM
 *
 */

#ifndef MICROPHONE_H
#define MICROPHONE_H

#include <avr/io.h>
#include <avr/interrupt.h>

#define MICROPHONE_P PA4

#define MICROPHONE_PCIE PCIE0
#define MICROPHONE_PCMSK PCMSK0
#define MICROPHONE_PCINT PCINT4

#define MICROPHONE_DDR DDRA
#define MICROPHONE_PORT PORTA
#define MICROPHONE_PIN PINA

void MICROPHONE_init(void);

#endif /* MICROPHONE_H_ */

