/**
 *                           _    _   _ __    _ __
 *                          | |  | | | '_ \  | '_ \
 *                          | |  | | | |_) | | |_) |
 *                          | |  | | | .__/  | '_ )
 *                          | \__/ | | |     | |_) |
 *                          \______/ |_|     |_.__/
 *                          -------- _______ -------
 *
 *
 *  File:           music.h
 *  Description:    Musical Notes
 *  By:             ioan_florin.nitu
 *
 *   _______________________________________
 *  / Look for my W-USO ;)                  \
 *  \ (No, seriously, don't look...)        /
 *   ---------------------------------------
 *          \   ^__^
 *           \  (oo)\_______
 *              (__)\       )\/\
 *                  ||----w |
 *                  ||     ||
 *
 */

/** PROIECT
 *
 * music.h
 *
 * @author Nitu Ioan Florin Catalin
 * @group 333CC
 * @version 1.0
 * @since Rock 'n' Roll
 *
 * Copyright (c) 2019 PM
 *
 */

#ifndef MUSIC_H
#define MUSIC_H

#define NOTES 12
#define PITCHES 8
#define STRINGS 6

extern char *note_names[];
extern float note_freqs[];
extern char *note_pitch[];

extern char *standard_names[];
extern float standard_freqs[];

extern char *drop_d_names[];
extern float drop_d_freqs[];

extern char *d_names[];
extern float d_freqs[];

float get_freq(float note, int pitch);

#endif /* MUSIC_H_ */

